Get subscriber's data
Returns a subscriber profile with the specified email address or subscriber ID
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/subscribers/{email}or{phone}or{ID}
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
Email, phone number, or ID | string required | Subscriber’s email address, phone number, or ID |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/subscribers/{email}or{phone}or{ID}");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/subscribers/{email}or{phone}or{ID}', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/subscribers/{email}or{phone}or{ID}"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/subscribers/{email}or{phone}or{ID}" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "data": { "id": "o2lk68Y", "firstname": "Sender", "lastname": "Support", "phone": "+370XXXXXXXX", "phone_country": { "phone_code": 370, "country_code": "LT" }, "created": "2021-04-08 11:06:34", "location": null, "status": { "email": "unsubscribed", "temail": "active" }, "ip_address": null, "subscriber_tags": [ { "id": "eZVD4w", "title": "Test group" }, { "id": "b2vAR1", "title": "My Renamed Group" } ], "columns": [ { "id": "bDqoKd", "title": "test num", "type": "number", "default": true, "value": 1 }, { "id": "avAlVe", "title": "First name", "type": "text", "default": true, "value": "Support" }, { "id": "dwBVJb", "title": "Last name", "type": "text", "default": true, "value": "Sender" } ] }}